# Virtual Boy instrument editor

the Virtual Boy instrument editor contains three tabs: Virtual Boy, Wavetable and Macros.

## Virtual Boy

- **Set modulation table**: when enabled, playing this instrument on channel 5 will write to the modulation table.
- **Modulation table**: this allows you to define a waveform for frequency modulation.

## Wavetable

this allows you to enable and configure the Furnace wavetable synthesizer. see [this page](wavesynth.md) for more information.

## Macros

- **Volume**: volume sequence.
- **Arpeggio**: pitch sequence.
- **Noise Length**: sets the noise length. higher values result in shorter noise.
- **Waveform**: wavetable sequence.
- **Panning (left)**: output level for left channel.
- **Panning (right)**: output level for right channel.
- **Pitch**: fine pitch.
- **Phase Reset**: trigger restart of waveform.
